VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
GetViewOptions Struct Reference

`#include <cviewcontainer.h>`

## Public Types
enum | { kNone = 0 , kDeep = 1 << 0 , kMouseEnabled = 1 << 1 , kIncludeViewContainer = 1 << 2 , kIncludeInvisible = 1 << 3 }

## Public Member Functions
| GetViewOptions (uint32_t options=kNone)
GetViewOptions & | deep (bool state=true)
GetViewOptions & | mouseEnabled (bool state=true)
GetViewOptions & | includeViewContainer (bool state=true)
GetViewOptions & | includeInvisible (bool state=true)
bool | getDeep () const
bool | getMouseEnabled () const
bool | getIncludeViewContainer () const
bool | getIncludeInvisible () const

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
kNone |
kDeep |
kMouseEnabled |
kIncludeViewContainer |
kIncludeInvisible |

## Constructor & Destructor Documentation

## ◆ GetViewOptions()

GetViewOptions | ( | uint32_t | options = kNone | ) |
| inline explicit

## Member Function Documentation

## ◆ deep()

GetViewOptions & deep | ( | bool | state = true | ) |
| inline

## ◆ getDeep()

bool getDeep | ( |  | ) | const
| inline

## ◆ getIncludeInvisible()

bool getIncludeInvisible | ( |  | ) | const
| inline

## ◆ getIncludeViewContainer()

bool getIncludeViewContainer | ( |  | ) | const
| inline

## ◆ getMouseEnabled()

bool getMouseEnabled | ( |  | ) | const
| inline

## ◆ includeInvisible()

GetViewOptions & includeInvisible | ( | bool | state = true | ) |
| inline

## ◆ includeViewContainer()

GetViewOptions & includeViewContainer | ( | bool | state = true | ) |
| inline

## ◆ mouseEnabled()

GetViewOptions & mouseEnabled | ( | bool | state = true | ) |
| inline

The documentation for this struct was generated from the following file:

- cviewcontainer.h